gtk.Accessible
Prev | The gtk Class Reference | Next

## gtk.Accessible

gtk.Accessible — accessibility support for widgets.

## Synopsis

    class gtk.Accessible(atk.Object):
        def connect_widget_destroyed()
        def get_widget()
        def set_widget(widget)

## Ancestry

    +-- gobject.GObject
      +-- atk.Object
        +-- gtk.Accessible

## gtk.Accessible Properties

atk.Object Properties

## gtk.Accessible Signal Prototypes

gobject.GObject Signal Prototypes

atk.Object Signal Prototypes

## Description

The gtk.Accessible class is an abstract base class.

## Methods

### gtk.Accessible.connect_widget_destroyed

        def connect_widget_destroyed()

This method specifies the callback function to be called when the widget corresponding to a `gtk.Accessible` is destroyed.

### gtk.Accessible.get_widget

        def get_widget()

Returns : | the `gtk.Widget` corresponding to the `gtk.Accessible`

### Note

This method is available in PyGTK 2.22 and above.

The `get_widget`() method returns the `gtk.Widget` corresponding to the `gtk.Accessible`.

### gtk.Accessible.set_widget

        def set_widget(widget)

`widget` : | a `gtk.Widget`

### Note

This method is available in PyGTK 2.22 and above.

The `set_widget`() method sets the `gtk.Widget` corresponding to the `gtk.Accessible`.

Prev | Up | Next
gtk.AccelMap | Home | gtk.Action